## Class envelope

zeep::envelope

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/envelope.hpp>

    class envelope : public noncopyable {
    public:
      // construct/copy/destruct
      envelope();
      envelope(xml::document &);

      // public member functions
      xml::element * request();
    };

## Description

### `envelope` public construct/copy/destruct

1.     envelope();

   Create an empty envelope.

2.     envelope(xml::document & data);

   Parse a SOAP message received from a client, throws an exception if the envelope is empty or invalid.

### `envelope` public member functions

1.     xml::element * request();

   The request element as contained in the original SOAP message.